package com.hotent.project.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.hotent.base.entity.BaseModel;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.fasterxml.jackson.annotation.JsonProperty;
/**
 * 流程表
 *
 * @company 山西清众科技股份有限公司
 * @author 超级管理员
 * @since 2025-10-01
 */
@ApiModel(value="CostProjectProccessNodeTemplete对象", description="流程表")
public class CostProjectProccessNodeTemplete extends BaseModel<CostProjectProccessNodeTemplete> {

    private static final long serialVersionUID = 1L;
    @ApiModelProperty(value = "主键ID")
    @TableId(value = "process_id", type = IdType.ASSIGN_ID)
    @JsonProperty("processId")
    private String processId;
    
    @ApiModelProperty(value = "流程环节实际值")
    @TableField("process_node_key")
    @JsonProperty("processNodeKey")
    private String processNodeKey;
    
    @ApiModelProperty(value = "环节类型 1外部环节2内部环节")
    @TableField("node_type")
    @JsonProperty("nodeType")
    private String nodeType;
    
    @ApiModelProperty(value = "序号")
    @TableField("order_num")
    @JsonProperty("orderNum")
    private Integer orderNum;
    
    @ApiModelProperty(value = "创建时间")
    @TableField("create_time")
    @JsonProperty("createTime")
    private LocalDateTime createTime;
    
    @ApiModelProperty(value = "创建人")
    @TableField("create_by")
    @JsonProperty("createBy")
    private String createBy;
    
    @ApiModelProperty(value = "更新时间")
    @TableField("update_time")
    @JsonProperty("updateTime")
    private LocalDateTime updateTime;
    
    @ApiModelProperty(value = "更新人")
    @TableField("update_by")
    @JsonProperty("updateBy")
    private String updateBy;
    
    @ApiModelProperty(value = "流程环节显示值")
    @TableField("process_node_value")
    @JsonProperty("processNodeValue")
    private String processNodeValue;
    

    public String getProcessId() {
        return processId;
    }

    public void setProcessId(String processId) {
        this.processId = processId;
    }
    public String getProcessNodeKey() {
        return processNodeKey;
    }

    public void setProcessNodeKey(String processNodeKey) {
        this.processNodeKey = processNodeKey;
    }
    public String getNodeType() {
        return nodeType;
    }

    public void setNodeType(String nodeType) {
        this.nodeType = nodeType;
    }
    public Integer getOrderNum() {
        return orderNum;
    }

    public void setOrderNum(Integer orderNum) {
        this.orderNum = orderNum;
    }
    public LocalDateTime getCreateTime() {
        return createTime;
    }

    public void setCreateTime(LocalDateTime createTime) {
        this.createTime = createTime;
    }
    public String getCreateBy() {
        return createBy;
    }

    public void setCreateBy(String createBy) {
        this.createBy = createBy;
    }
    public LocalDateTime getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(LocalDateTime updateTime) {
        this.updateTime = updateTime;
    }
    public String getUpdateBy() {
        return updateBy;
    }

    public void setUpdateBy(String updateBy) {
        this.updateBy = updateBy;
    }
    public String getProcessNodeValue() {
        return processNodeValue;
    }

    public void setProcessNodeValue(String processNodeValue) {
        this.processNodeValue = processNodeValue;
    }


    @Override
    protected Serializable pkVal() {
        return this.processId;
    }

    @Override
    public String toString() {
        return "CostProjectProccessNodeTemplete{" +
            "processId=" + processId +
            ", processNodeKey=" + processNodeKey +
            ", nodeType=" + nodeType +
            ", orderNum=" + orderNum +
            ", createTime=" + createTime +
            ", createBy=" + createBy +
            ", updateTime=" + updateTime +
            ", updateBy=" + updateBy +
            ", processNodeValue=" + processNodeValue +
        "}";
    }
}
